WCR system requirements

The WCR system requires a web application server and one or more workstations, with software as described below.

Web application server requirements

Before installing WCR, install the following on the web application server that will host the WCR application:

  • Apache Tomcat® 6.0.33 and up
  • Java™ JRE 1.7.0_51 or 1.7.0-80 and up, 64-bit (Java 1.8 is not supported)
Note: Installers are available at: http://tomcat.apache.org/download-60.cgi. When prompted by the Tomcat installer, select the Java 7.0 JRE on your system.

Workstation requirements

Requirements for SME workstations are listed below.

  • Java™ JRE 1.7.0_51, 1.7.0-80 and up, or Java 1.8.20 and up
  • Internet browser:
    • On Windows®:
      • Microsoft® Internet Explorer® 11
      • Mozilla® Firefox® 52 ESR (Extended Support Release), 32-bit (Firefox 52 not supported)
      Note: Chrome is not supported.
    • On Linux®:
      • Mozilla® Firefox® 52 ESR (Extended Support Release), 32-bit (Firefox 52 not supported)
    • On Mac®:
      • Mozilla® Firefox® 52 ESR (Extended Support Release), 32-bit (Firefox 52 not supported)